%define py_ver      2.2
%define pygtk_ver   0.6.9
%define pygnome_version 1.4.2

#don't update libtool info
%define __libtoolize /bin/true

Summary:	The sources for the PyGTK and PyGNOME Python extension modules
Name:		pygnome
Version:	%{pygnome_version}
Release:	1mdk

Source0:	gnome-python-%{pygnome_version}.tar.bz2
# (fc) 1.4.2-1mdk ugly patch (on configure) to fix compilation with latest libcapplet
# needed until we switch to automake 1.5
Patch0:     gnome-python-1.4.2-libcapplet.patch.bz2
License:	LGPL
Group:		Development/GNOME and GTK+
BuildRequires:	control-center-devel gdk-pixbuf-devel gnome-core-devel
BuildRequires:	gtkglarea-devel libglade-devel libxml-devel Mesa-common-devel
BuildRequires:  python-devel >= %{py_ver} python-numeric xpm-devel
BuildRequires:  gnome-common
BuildRoot:	%_tmppath/%name-%pygnome_version-root
URL:		ftp://ftp.daa.com.au/pub/james/python/
Requires:	pygtk = %{pygtk_ver}


%description 
PyGNOME is an extension module for python that gives you access to the
base GNOME libraries.  This means you have access to more widgets, simple
configuration interface, metadata support and many other features.

%package -n pygtk
Version:	%{pygtk_ver}
Summary:	Python bindings for the GTK+ widget set
Group:		Development/GNOME and GTK+
Requires: python >= %{py_ver}
Requires: python-numeric

%description -n pygtk
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

%package -n pygtk-devel
Version: %{pygtk_ver}
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/GNOME and GTK+
Requires: pygtk = %{pygtk_ver}

%description -n pygtk-devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.


%package -n pygtk-libglade
Version:	%{pygtk_ver}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		Development/GNOME and GTK+

%description -n pygtk-libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%ifnarch ppc
%package -n pygtk-glarea
Version:	%{pygtk_ver}
Summary:	A wrapper for the GtkGLArea widget for use with PyGTK
Group:		Development/GNOME and GTK+

%description -n pygtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows you
to display OpenGL output inside your pygtk program.  It needs a set of
Python OpenGL bindings such as PyOpenGL to actually do any OpenGL rendering.
%endif

%package -n pygnome-libglade
Summary:	GNOME support for the libglade python wrapper
Group:		Development/GNOME and GTK+
Requires:	pygtk-libglade

%description -n pygnome-libglade
This module contains GNOME support to suppliment the libglade python
wrapper.  Libglade is a library similar to the pyglade module, except
that it is written in C (so is faster) and is more complete.

%package -n pygnome-applet
Summary:	Python bindings for GNOME Panel applets
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{pygnome_version} 

%description -n pygnome-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n pygnome-capplet
Summary:	Python bindings for GNOME Panel applets
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{pygnome_version} 

%description -n pygnome-capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package -n pygnome-devel
Summary: Files that are useful for wrapping GNOME addon libraries
Group: Development/GNOME and GTK+
Requires: pygtk-devel = %{pygtk_ver}, %{name} = %{pygnome_version}
%description -n pygnome-devel
This package contains files required to build wrappers for GNOME addon
libraries so that they interoperate with pygnome.

%prep
%setup -q -n gnome-python-%{pygnome_version}
%patch0 -p1 -b .libcapplet

%build
# configure macro force generation of libtool
# and m4 python macro are currently broken
%configure2_5x

%ifnarch ia64
%make
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files -n pygtk
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk.py*
%{_libdir}/python%{py_ver}/site-packages/GtkExtra.py*
%{_libdir}/python%{py_ver}/site-packages/GTK.py*
%{_libdir}/python%{py_ver}/site-packages/GDK.py*
%{_libdir}/python%{py_ver}/site-packages/GdkImlib.py*
%{_libdir}/python%{py_ver}/site-packages/pyglade/*.py*

%{_libdir}/python%{py_ver}/site-packages/_gtkmodule.so
%{_libdir}/python%{py_ver}/site-packages/_gdkimlibmodule.so
%{_libdir}/python%{py_ver}/site-packages/gdkpixbufmodule.so

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog 
%doc pygtk/description.py pygtk/examples

%files -n pygtk-libglade
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/libglade.py*
%{_libdir}/python%{py_ver}/site-packages/_libglademodule.so

%files -n pygtk-devel
%defattr(-,root,root)
%{_bindir}/pygtk-codegen-1.2
%{_includedir}/pygtk
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/1.2
%{_datadir}/pygtk/1.2/codegen
%dir %{_datadir}/pygtk/1.2/defs
%{_datadir}/pygtk/1.2/defs/gtk.defs
%{_datadir}/pygtk/1.2/defs/gtkbase.defs
%{_datadir}/pygtk/1.2/defs/gtkcontainers.defs
%{_datadir}/pygtk/1.2/defs/gtkdata.defs
%{_datadir}/pygtk/1.2/defs/gtkdnd.defs
%{_datadir}/pygtk/1.2/defs/gtkedit.defs
%{_datadir}/pygtk/1.2/defs/gtkenums.defs
%{_datadir}/pygtk/1.2/defs/gtkgl.defs
%{_datadir}/pygtk/1.2/defs/gtklists.defs
%{_datadir}/pygtk/1.2/defs/gtkmenus.defs
%{_datadir}/pygtk/1.2/defs/gtkmisc.defs
%{_datadir}/pygtk/1.2/defs/gtkranges.defs
%{_datadir}/pygtk/1.2/defs/libglade.defs

%files -n pygnome-libglade
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/_gladegnomemodule.so
# the following are only included if gnome-core and control-center were
# installed during the build
%files -n pygnome-applet
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/_appletmodule.so
%{_libdir}/python%{py_ver}/site-packages/gnome/applet.py*

%files -n pygnome-capplet
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/_cappletmodule.so
%{_libdir}/python%{py_ver}/site-packages/gnome/capplet.py*

%files -n pygnome
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gettext.py*
%dir %{_libdir}/python%{py_ver}/site-packages/gnome
%{_libdir}/python%{py_ver}/site-packages/gnome/__init__.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/affine.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/config.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/file.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/help.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/history.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/metadata.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/mime.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/score.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/triggers.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/ui.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/uiconsts.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/url.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/util.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/xmhtml.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/zvt.py*

%{_libdir}/python%{py_ver}/site-packages/_gnomemodule.so
%{_libdir}/python%{py_ver}/site-packages/_gnomeuimodule.so
%{_libdir}/python%{py_ver}/site-packages/_zvtmodule.so
%{_libdir}/python%{py_ver}/site-packages/_gtkxmhtmlmodule.so

%doc AUTHORS NEWS README ChangeLog
%doc pygnome/examples

%files -n pygnome-devel
%defattr(-,root,root)
%{_datadir}/pygtk/1.2/defs/applet.defs
%{_datadir}//pygtk/1.2/defs/capplet.defs
%{_datadir}/pygtk/1.2/defs/gnome-enums.defs
%{_datadir}/pygtk/1.2/defs/gnome.defs
%{_datadir}/pygtk/1.2/defs/gnomeui.defs
%{_datadir}/pygtk/1.2/defs/gtkhtml.defs
%{_datadir}/pygtk/1.2/defs/xmhtml.defs
%{_datadir}/pygtk/1.2/defs/zvt.defs


%ifnarch ppc
%files -n pygtk-glarea
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtkgl.py*
%{_libdir}/python%{py_ver}/site-packages/_gtkglmodule.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- Release 1.4.2
- Patch0: ugly patch to compile with latest libcapplet (needed until we use automake 1.5)

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-9mdk
- Recompiled against Python 2.2

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-8mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-7mdk
- Add missing directory

* Tue Aug  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-6mdk
- Fix logic in Python BuildRequires

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 1.4.1-5mdk
- Re-Fix build-requires

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 1.4.1-4mdk
- Fix build-requires and ia64 build

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-3mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	libjpeg-devel
- Removed BuildRequires:	libpng-devel

* Sat Jun 30 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-2mdk
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	python-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	gnome-libs-devel
- Removed BuildRequires:	imlib-devel	
- Removed BuildRequires:	libxml-devel	
- Removed BuildRequires:	ORBit-devel	
- Removed BuildRequires:	python
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	zlib-devel


* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1
- Requires python 2.1
- Fix versionning of pygnome-libglade
- Patch0: allow regeneration m4 macros

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Clean specfile
- requires python-numeric

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.53-7mdk
- Correct requires and buildrequires

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.53-6mdk
- Use %%_tmppath for BuildRoot

* Fri Dec 15 2000 DindinX <odin@mandrakesoft.com> 1.0.53-5mdk
- rebuild with python 2.0

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-4mdk
- added missing util.py*

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-3mdk
- suppressed svgalib-devel BuildRequires.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-2mdk
- automatically added BuildRequires

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 1.0.53-1mdk
- New version

* Mon Apr  3 2000 DindinX <odin@mandrakesoft.com> 1.0.52-1mdk
- Added URL tag
- New version
- resurect pygtk-glarea
- Added a %clean tag

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 1.0.51-4mdk
- Specs fixes
- Group fixes
- Added some deps.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.0.51-3mdk
- PPC support

* Thu Feb 17 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-2mdk
- defattr's

* Wed Feb 16 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-1mdk
- update to 1.0.51
- requires python 1.5.2
- do some merges with the official spec
	- added pygnome-libglade subpackage
	- split applet and capplet modules into their own package


* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Bump spec to get above pablo (lay off the crack son, ther is no 1.0.52)

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- And make pygnome the main package cause rpm 

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Opps forgot to uncomment pygtk-glarea

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- configure goes in build not prep
- enable SMP build
- zip and strip
- 1.0.50

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild with %defattr(-,root,root) (Thanks to Michael Irving <laric@laric.com>).

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without libgtkgl.so.3.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.4

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Feb 20 1999 Michael Johnson <johnsonm@redhat.com>
- added gtk.py* to pygtk filelist

* Tue Feb 16 1999 Michael Johnson <johnsonm@redhat.com>
- rebuilt against 0.99.8

* Tue Feb 09 1999 Michael Johnson <johnsonm@redhat.com>
- added examples
